# SidekiqFork

Run sidekiq jobs in separate forked sub processes to prevent memory
bloat. Ideal for large, long-running jobs.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'sidekiq_fork'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install sidekiq_fork

## Usage

Set the `fork` option in your workers:

```ruby
class MyWorker
  include Sidekiq::Worker
  sidekiq_options fork: true

  def perform
    ...
  end
end
```

## Contributing

1. Fork it ( https://github.com/[my-github-username]/sidekiq_fork/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
